Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class ActionProcessingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ifs.utils.action.ActionProcessingException

All Implemented Interfaces:
  java.io.Serializable

    public class ActionProcessingException

extends java.lang.Exception

Copyright (c) 2002, 2008, Oracle. All rights reserved. The exception raised if an error occurs when creating an Action from an tag, or when adding it to the ActionQueue

See Also:
  Serialized Form
Modified:
  bharb 1/18/2002 Created.

Constructor Summary
`ActionProcessingException()` Creates a new ActionProcessingException without specifying a reason for the failure.
`ActionProcessingException(java.lang.String reason)` Creates a new ActionProcessingException.
`ActionProcessingException(java.lang.Throwable error)` Creates a new ActionProcessingException.

Method Summary
`java.lang.Throwable` | `getNestedException()` Returns the nested Throwable containing the underlying failure.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionProcessingException

    public ActionProcessingException()

  Creates a new ActionProcessingException without specifying a reason for the failure.

### ActionProcessingException

    public ActionProcessingException(java.lang.String reason)

  Creates a new ActionProcessingException.

  Parameters:
    `reason` - The reason for the failure.

### ActionProcessingException

    public ActionProcessingException(java.lang.Throwable error)

  Creates a new ActionProcessingException.

  Parameters:
    `error` - The Throwable that caused the failure.

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

  Description copied from class: `ActionProcessingException`
  Returns the nested Throwable containing the underlying failure.

  Returns:
    The Throwable raised because of the failure, or null, if no nested exception is defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD